View Issue Details

IDProjectCategoryView StatusLast Update
0001143SOGoBackend Calendarpublic2011-02-24 10:10
Reporteralcy Assigned Tofrancis  
PrioritynormalSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
Product Version1.3.5 
Fixed in Version1.3.6 
Summary0001143: Can't edit/delete the occurrences of a recurring event
Description

I did an upgrade from 1.3.4 to 1.3.5a on Ubuntu Lucid.

Reproducing the problem:

1) Create a recurring event ( I created a finite daily one, if it makes any difference ).
2) Click on any of the occurrences ( including the first one ).

Error on the interface:
An error occurred during object publishing
the requested object could not be found!

Information in sogo.log of the 404:
"GET /SOGo/so/sone/Calendar/personal/2AEE-4D621A80-2B-C813970.ics/occurence1298926800/confirmEditing HTTP/1.0" 404 208/0 0.046 - - 0

TagsNo tags attached.

Activities

ludovic

ludovic

2011-02-21 16:31

administrator   ~0002141

What timezone?

Please attach the ORIGINAL vCalendar content of that event.

alcy

alcy

2011-02-22 02:44

reporter   ~0002143

Seems like this is a TimeZone related bug.

We have been using Asia/Calcutta as the timezone - which has worked just fine - until the upgrade. Seems like support for it has been deprecated - or something to that effect.

NOW, it seems like we have to use Asia/Kolkata as the TZ - so that this current bug isn't encountered ( I guess the occurrence<time> convention doesn't map to what SOGo expects when using Asia/Calcutta). What I am unable to understand is that when we were using Asia/Calcutta as the TZ, vCalendar entries never had any separate TZ information or a vTimezone entry - and things worked just fine. Events had the right time displayed. But with Asia/Kolkata, there's TZ information apart from a separate vTimezone entry.

Where should I be looking at for changes like these ? Any suggestions ?

francis

francis

2011-02-23 12:44

administrator   ~0002158

Could you attach the original vCalendar content?

alcy

alcy

2011-02-24 01:30

reporter   ~0002166

Sorry for not posting this earlier.

$ defaults read | grep -i timezone
sogod SOGoTimeZone Asia/Calcutta

In the interface I made an event from 1st March to 4th March, which takes place from 12:00 to 13:00. However ( and I noticed this later ) when the event is saved, the interface shows it from 6:30 to 7:30.

BEGIN:VCALENDAR
VERSION:2.0
PRODID:-//Inverse inc./SOGo 1.0//EN
BEGIN:VEVENT
UID:30C-4D65FA00-1-3D513F00
SUMMARY:Test Event
CREATED:20110224T062736Z
DTSTAMP:20110224T062736Z
LAST-MODIFIED:20110224T062736Z
RRULE:UNTIL=20110304T063000Z;FREQ=DAILY
DTSTART:20110301T063000Z
DTEND:20110301T073000Z
TRANSP:OPAQUE
END:VEVENT
END:VCALENDAR

And henceforth, when an occurrence is clicked, the message in sogo.log is:
"GET /SOGo/so/sone/Calendar/personal/30C-4D65FA00-1-3D513F00.ics/occurence1299027600/confirmEditing HTTP/1.1" 404 208/0 0.047 - - 0

francis

francis

2011-02-24 10:10

administrator   ~0002167

Fixed in revision b99a47157b925a50d1bf80f94b80de642f2aad73.

Issue History

Date Modified Username Field Change
2011-02-21 03:16 alcy New Issue
2011-02-21 16:31 ludovic Note Added: 0002141
2011-02-22 02:44 alcy Note Added: 0002143
2011-02-23 12:44 francis Note Added: 0002158
2011-02-24 01:30 alcy Note Added: 0002166
2011-02-24 10:10 francis Note Added: 0002167
2011-02-24 10:10 francis Status new => resolved
2011-02-24 10:10 francis Fixed in Version => 1.3.6
2011-02-24 10:10 francis Resolution open => fixed
2011-02-24 10:10 francis Assigned To => francis